webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.WebNavigationAction

Contents

- Description
- Types
- Enums
- Methods

Description

Access to the WebKit NavigationAction

Synopsis

- data WebNavigationAction
- class GObjectClass o => WebNavigationActionClass o
- data NavigationReason
  - = WebNavigationReasonLinkClicked
  - | WebNavigationReasonFormSubmitted
  - | WebNavigationReasonBackForward
  - | WebNavigationReasonReload
  - | WebNavigationReasonFormResubmitted
  - | WebNavigationReasonOther
- webNavigationActionGetButton :: WebNavigationActionClass self => self -> IO Int
- webNavigationActionGetModifierState :: WebNavigationActionClass self => self -> IO Int
- webNavigationActionGetOriginalUri :: WebNavigationActionClass self => self -> IO String
- webNavigationActionSetOriginalUri :: WebNavigationActionClass self => self -> String -> IO ()
- webNavigationActionGetReason :: WebNavigationActionClass self => self -> IO NavigationReason
- webNavigationActionSetReason :: WebNavigationActionClass self => self -> NavigationReason -> IO ()
- webNavigationActionGetTargetFrame :: WebNavigationActionClass self => self -> IO String

# Description

`WebNavigationAction` is used in signals to provide details about what led the navigation to happen. This includes, for instance, if the user clicked a link to start that navigation, and what mouse button was used.

# Types

data WebNavigationAction

Instances

Eq WebNavigationAction |
Ord WebNavigationAction |
GObjectClass WebNavigationAction |
WebNavigationActionClass WebNavigationAction |

class GObjectClass o => WebNavigationActionClass o

Instances

WebNavigationActionClass WebNavigationAction |

# Enums

data NavigationReason

Constructors

WebNavigationReasonLinkClicked |
WebNavigationReasonFormSubmitted |
WebNavigationReasonBackForward |
WebNavigationReasonReload |
WebNavigationReasonFormResubmitted |
WebNavigationReasonOther |

Instances

Enum NavigationReason |
Eq NavigationReason |
Show NavigationReason |

# Methods

webNavigationActionGetButton :: WebNavigationActionClass self => self -> IO Int

Returns the DOM identifier for the mouse button used to click. DOM button values are 1, 2 and 3 for left, middle and right buttons. If the action was not initiated by a mouse click, returns -1.

webNavigationActionGetModifierState :: WebNavigationActionClass self => self -> IO Int

Returns a bitmask with the the state of the modifier keys.

webNavigationActionGetOriginalUri :: WebNavigationActionClass self => self -> IO String

Returns the URI that was originally requested. This may differ from the navigation target, for instance because of a redirect.

webNavigationActionSetOriginalUri :: WebNavigationActionClass self => self -> String -> IO ()

Sets the URI that was originally requested. This may differ from the navigation target, for instance because of a redirect.

webNavigationActionGetReason :: WebNavigationActionClass self => self -> IO NavigationReason

Returns the reason why WebKit is requesting a navigation.

webNavigationActionSetReason :: WebNavigationActionClass self => self -> NavigationReason -> IO ()

Sets the reason why WebKit is requesting a navigation.

webNavigationActionGetTargetFrame :: WebNavigationActionClass self => self -> IO String

Returns the target frame of the action.